Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Fix make dist
[simgrid.git] / configure
index deffbd9..b642979 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,7 +1,7 @@
 #! /bin/sh
-# From configure.ac Revision: 1.3 .
+# From configure.ac Revision: 1.2 .
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.58 for GRAS 0.1.
+# Generated by GNU Autoconf 2.59 for GRAS 0.0.040129.
 #
 # Report bugs to <martin.quinson@ens-lyon.fr>.
 #
@@ -424,8 +424,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='GRAS'
 PACKAGE_TARNAME='gras'
-PACKAGE_VERSION='0.1'
-PACKAGE_STRING='GRAS 0.1'
+PACKAGE_VERSION='0.0.040129'
+PACKAGE_STRING='GRAS 0.0.040129'
 PACKAGE_BUGREPORT='martin.quinson@ens-lyon.fr'
 
 ac_unique_file="src/include/gras.h"
@@ -467,7 +467,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS subdirs build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL GTKDOC HAVE_GTK_DOC_TRUE HAVE_GTK_DOC_FALSE HAVE_GTK_DOC ENABLE_GTK_DOC_TRUE ENABLE_GTK_DOC_FALSE FLIBS LIBOBJS ACI_CACHE_PROG aci_module_desc_XML aci_pkg_config_XML HAVE_XML CFLAGS_XML LIBS_XML aci_module_desc_SimGrid aci_pkg_prefix_SimGrid aci_pkg_inc_SimGrid aci_pkg_lib_SimGrid aci_pkg_extra_SimGrid HAVE_SimGrid CFLAGS_SimGrid LIBS_SimGrid MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT cflags_set BASH WARNING LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS subdirs build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL HTML_DIR PKG_CONFIG ENABLE_GTK_DOC_TRUE ENABLE_GTK_DOC_FALSE GTK_DOC_USE_LIBTOOL_TRUE GTK_DOC_USE_LIBTOOL_FALSE FLIBS LIBOBJS ACI_CACHE_PROG aci_module_desc_XML aci_pkg_config_XML HAVE_XML CFLAGS_XML LIBS_XML aci_module_desc_SimGrid aci_pkg_prefix_SimGrid aci_pkg_inc_SimGrid aci_pkg_lib_SimGrid aci_pkg_extra_SimGrid HAVE_SimGrid CFLAGS_SimGrid LIBS_SimGrid MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT cflags_set BASH WARNING LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -956,7 +956,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures GRAS 0.1 to adapt to many kinds of systems.
+\`configure' configures GRAS 0.0.040129 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1023,7 +1023,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of GRAS 0.1:";;
+     short | recursive ) echo "Configuration of GRAS 0.0.040129:";;
    esac
   cat <<\_ACEOF
 
@@ -1039,7 +1039,7 @@ Optional Features:
   --disable-dependency-tracking Speeds up one-time builds
   --enable-dependency-tracking  Do not reject slow dependency extractors
   --disable-libtool-lock  avoid locking (might break parallel builds)
-  --enable-gtk-doc  Use gtk-doc to build documentation default=auto
+  --enable-gtk-doc        use gtk-doc to build documentation default=no
   --enable-maintainer-mode enable make rules and dependencies not useful
                           (and sometimes confusing) to the casual installer
   --enable-compile-warnings=no/minimum/yes       Turn on compiler warnings.
@@ -1053,6 +1053,7 @@ Optional Packages:
                           both]
   --with-tags[=TAGS]
                           include additional configurations [automatic]
+  --with-html-dir=PATH    path to installed docs
   --with-SimGrid=DIR      root directory of the SimGrid simulator installation
   --with-SimGrid-includes=DIR
                           specify exact include dir for the SimGrid simulator headers
@@ -1176,8 +1177,8 @@ fi
 test -n "$ac_init_help" && exit 0
 if $ac_init_version; then
   cat <<\_ACEOF
-GRAS configure 0.1
-generated by GNU Autoconf 2.58
+GRAS configure 0.0.040129
+generated by GNU Autoconf 2.59
 
 Copyright (C) 2003 Free Software Foundation, Inc.
 This configure script is free software; the Free Software Foundation
@@ -1190,8 +1191,8 @@ cat >&5 <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by GRAS $as_me 0.1, which was
-generated by GNU Autoconf 2.58.  Invocation command line was
+It was created by GRAS $as_me 0.0.040129, which was
+generated by GNU Autoconf 2.59.  Invocation command line was
 
   $ $0 $@
 
@@ -1899,7 +1900,7 @@ fi
 
 # Define the identity of the package.
  PACKAGE='gras'
- VERSION='0.1'
+ VERSION='0.0.040129'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -3662,7 +3663,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3665 "configure"' > conftest.$ac_ext
+  echo '#line 3666 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -5219,7 +5220,7 @@ fi
 
 
 # Provide some information about the compiler.
-echo "$as_me:5222:" \
+echo "$as_me:5223:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6251,11 +6252,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6254: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6255: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6258: \$? = $ac_status" >&5
+   echo "$as_me:6259: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6484,11 +6485,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6487: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6488: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6491: \$? = $ac_status" >&5
+   echo "$as_me:6492: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6551,11 +6552,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6554: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6555: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6558: \$? = $ac_status" >&5
+   echo "$as_me:6559: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8726,7 +8727,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8729 "configure"
+#line 8730 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -8824,7 +8825,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8827 "configure"
+#line 8828 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11001,11 +11002,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11004: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11005: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:11008: \$? = $ac_status" >&5
+   echo "$as_me:11009: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -11068,11 +11069,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11071: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11072: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:11075: \$? = $ac_status" >&5
+   echo "$as_me:11076: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12422,7 +12423,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12425 "configure"
+#line 12426 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12520,7 +12521,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12523 "configure"
+#line 12524 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13347,11 +13348,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13350: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13351: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13354: \$? = $ac_status" >&5
+   echo "$as_me:13355: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -13414,11 +13415,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13417: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13418: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13421: \$? = $ac_status" >&5
+   echo "$as_me:13422: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -15446,11 +15447,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15449: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15450: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15453: \$? = $ac_status" >&5
+   echo "$as_me:15454: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -15679,11 +15680,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15682: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15683: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15686: \$? = $ac_status" >&5
+   echo "$as_me:15687: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -15746,11 +15747,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15749: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15750: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15753: \$? = $ac_status" >&5
+   echo "$as_me:15754: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17921,7 +17922,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 17924 "configure"
+#line 17925 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -18019,7 +18020,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 18022 "configure"
+#line 18023 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -19034,69 +19035,78 @@ LIBTOOL='$(SHELL) $(top_builddir)/libtool'
 
 
 
-       # Extract the first word of "gtkdoc-mkdb", so it can be a program name with args.
-set dummy gtkdoc-mkdb; ac_word=$2
+
+# Check whether --with-html-dir or --without-html-dir was given.
+if test "${with_html_dir+set}" = set; then
+  withval="$with_html_dir"
+
+else
+  with_html_dir='${datadir}/gtk-doc/html'
+fi;
+  HTML_DIR="$with_html_dir"
+
+
+    # Check whether --enable-gtk-doc or --disable-gtk-doc was given.
+if test "${enable_gtk_doc+set}" = set; then
+  enableval="$enable_gtk_doc"
+
+else
+  enable_gtk_doc=no
+fi;
+
+  have_gtk_doc=no
+  if test -z "$PKG_CONFIG"; then
+    # Extract the first word of "pkg-config", so it can be a program name with args.
+set dummy pkg-config; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-if test "${ac_cv_prog_GTKDOC+set}" = set; then
+if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  if test -n "$GTKDOC"; then
-  ac_cv_prog_GTKDOC="$GTKDOC" # Let the user override the test.
-else
-as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+  case $PKG_CONFIG in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_prog_GTKDOC="true"
+    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
 
-  test -z "$ac_cv_prog_GTKDOC" && ac_cv_prog_GTKDOC="false"
-fi
+  test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
+  ;;
+esac
 fi
-GTKDOC=$ac_cv_prog_GTKDOC
-if test -n "$GTKDOC"; then
-  echo "$as_me:$LINENO: result: $GTKDOC" >&5
-echo "${ECHO_T}$GTKDOC" >&6
+PKG_CONFIG=$ac_cv_path_PKG_CONFIG
+
+if test -n "$PKG_CONFIG"; then
+  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
+echo "${ECHO_T}$PKG_CONFIG" >&6
 else
   echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
+  fi
+  if test "$PKG_CONFIG" != "no" && $PKG_CONFIG --exists gtk-doc; then
+    have_gtk_doc=yes
+  fi
 
 
-if $GTKDOC; then
-  HAVE_GTK_DOC_TRUE=
-  HAVE_GTK_DOC_FALSE='#'
-else
-  HAVE_GTK_DOC_TRUE='#'
-  HAVE_GTK_DOC_FALSE=
-fi
-
-
-
-               # Check whether --enable-gtk-doc or --disable-gtk-doc was given.
-if test "${enable_gtk_doc+set}" = set; then
-  enableval="$enable_gtk_doc"
-  enable_gtk_doc="$enableval"
-else
-  enable_gtk_doc=auto
-fi;
-
-       if test x$enable_gtk_doc = xauto ; then
-         if test x$GTKDOC = xtrue ; then
-           enable_gtk_doc=yes
-         else
-           enable_gtk_doc=no
-         fi
-       fi
+  if test x$enable_gtk_doc = xyes; then
+    if test "$have_gtk_doc" != yes; then
+      enable_gtk_doc=no
+    fi
+  fi
 
 
 
 
 
 
+if test -n "$LIBTOOL"; then
+  GTK_DOC_USE_LIBTOOL_TRUE=
+  GTK_DOC_USE_LIBTOOL_FALSE='#'
+else
+  GTK_DOC_USE_LIBTOOL_TRUE='#'
+  GTK_DOC_USE_LIBTOOL_FALSE=
+fi
+
+
+
 # declare the modules (no optional module)
 
 test -n "$ACLOCAL_FLAGS" && ACLOCAL="$ACLOCAL $ACLOCAL_FLAGS"
@@ -20033,7 +20053,7 @@ fi
 
 
 # Provide some information about the compiler.
-echo "$as_me:20036:" \
+echo "$as_me:20056:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -20225,7 +20245,7 @@ _ACEOF
 # flags.
 ac_save_FFLAGS=$FFLAGS
 FFLAGS="$FFLAGS $ac_verb"
-(eval echo $as_me:20228: \"$ac_link\") >&5
+(eval echo $as_me:20248: \"$ac_link\") >&5
 ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
 echo "$ac_f77_v_output" >&5
 FFLAGS=$ac_save_FFLAGS
@@ -20303,7 +20323,7 @@ _ACEOF
 # flags.
 ac_save_FFLAGS=$FFLAGS
 FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
-(eval echo $as_me:20306: \"$ac_link\") >&5
+(eval echo $as_me:20326: \"$ac_link\") >&5
 ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
 echo "$ac_f77_v_output" >&5
 FFLAGS=$ac_save_FFLAGS
@@ -22159,7 +22179,7 @@ fi
 WARNING="This file is generated, do not edit"
 
 
-                                                                                                                        ac_config_files="$ac_config_files Makefile src/Makefile src/base/Makefile src/base/Tests/Makefile src/base/Tests/gs_example src/modules/Makefile src/examples/Makefile src/examples/ping/Makefile src/examples/bandwidth/Makefile src/examples/saturate/Makefile src/examples/alnem/Makefile doc/Makefile"
+                                                                                                                                                      ac_config_files="$ac_config_files Makefile src/Makefile src/include/Makefile src/include/modules/Makefile src/base/Makefile src/base/Tests/Makefile src/base/Tests/gs_example src/base/Tests/run_tests src/modules/Makefile src/examples/Makefile src/examples/ping/Makefile src/examples/bandwidth/Makefile src/examples/saturate/Makefile src/examples/alnem/Makefile doc/Makefile"
 
 
 cat >confcache <<\_ACEOF
@@ -22274,17 +22294,17 @@ echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
-if test -z "${HAVE_GTK_DOC_TRUE}" && test -z "${HAVE_GTK_DOC_FALSE}"; then
-  { { echo "$as_me:$LINENO: error: conditional \"HAVE_GTK_DOC\" was never defined.
+if test -z "${ENABLE_GTK_DOC_TRUE}" && test -z "${ENABLE_GTK_DOC_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"ENABLE_GTK_DOC\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"HAVE_GTK_DOC\" was never defined.
+echo "$as_me: error: conditional \"ENABLE_GTK_DOC\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
-if test -z "${ENABLE_GTK_DOC_TRUE}" && test -z "${ENABLE_GTK_DOC_FALSE}"; then
-  { { echo "$as_me:$LINENO: error: conditional \"ENABLE_GTK_DOC\" was never defined.
+if test -z "${GTK_DOC_USE_LIBTOOL_TRUE}" && test -z "${GTK_DOC_USE_LIBTOOL_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"GTK_DOC_USE_LIBTOOL\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"ENABLE_GTK_DOC\" was never defined.
+echo "$as_me: error: conditional \"GTK_DOC_USE_LIBTOOL\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -22573,8 +22593,8 @@ _ASBOX
 } >&5
 cat >&5 <<_CSEOF
 
-This file was extended by GRAS $as_me 0.1, which was
-generated by GNU Autoconf 2.58.  Invocation command line was
+This file was extended by GRAS $as_me 0.0.040129, which was
+generated by GNU Autoconf 2.59.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
   CONFIG_HEADERS  = $CONFIG_HEADERS
@@ -22636,8 +22656,8 @@ _ACEOF
 
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-GRAS config.status 0.1
-configured by $0, generated by GNU Autoconf 2.58,
+GRAS config.status 0.0.040129
+configured by $0, generated by GNU Autoconf 2.59,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
 
 Copyright (C) 2003 Free Software Foundation, Inc.
   # Handling of arguments.
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
+  "src/include/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/include/Makefile" ;;
+  "src/include/modules/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/include/modules/Makefile" ;;
   "src/base/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/base/Makefile" ;;
   "src/base/Tests/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/base/Tests/Makefile" ;;
   "src/base/Tests/gs_example" ) CONFIG_FILES="$CONFIG_FILES src/base/Tests/gs_example" ;;
+  "src/base/Tests/run_tests" ) CONFIG_FILES="$CONFIG_FILES src/base/Tests/run_tests" ;;
   "src/modules/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/modules/Makefile" ;;
   "src/examples/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/examples/Makefile" ;;
   "src/examples/ping/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/examples/ping/Makefile" ;;
@@ -22912,12 +22935,12 @@ s,@F77@,$F77,;t t
 s,@FFLAGS@,$FFLAGS,;t t
 s,@ac_ct_F77@,$ac_ct_F77,;t t
 s,@LIBTOOL@,$LIBTOOL,;t t
-s,@GTKDOC@,$GTKDOC,;t t
-s,@HAVE_GTK_DOC_TRUE@,$HAVE_GTK_DOC_TRUE,;t t
-s,@HAVE_GTK_DOC_FALSE@,$HAVE_GTK_DOC_FALSE,;t t
-s,@HAVE_GTK_DOC@,$HAVE_GTK_DOC,;t t
+s,@HTML_DIR@,$HTML_DIR,;t t
+s,@PKG_CONFIG@,$PKG_CONFIG,;t t
 s,@ENABLE_GTK_DOC_TRUE@,$ENABLE_GTK_DOC_TRUE,;t t
 s,@ENABLE_GTK_DOC_FALSE@,$ENABLE_GTK_DOC_FALSE,;t t
+s,@GTK_DOC_USE_LIBTOOL_TRUE@,$GTK_DOC_USE_LIBTOOL_TRUE,;t t
+s,@GTK_DOC_USE_LIBTOOL_FALSE@,$GTK_DOC_USE_LIBTOOL_FALSE,;t t
 s,@FLIBS@,$FLIBS,;t t
 s,@LIBOBJS@,$LIBOBJS,;t t
 s,@ACI_CACHE_PROG@,$ACI_CACHE_PROG,;t t
@@ -23107,11 +23130,6 @@ esac
   *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
   esac
 
-  if test x"$ac_file" != x-; then
-    { echo "$as_me:$LINENO: creating $ac_file" >&5
-echo "$as_me: creating $ac_file" >&6;}
-    rm -f "$ac_file"
-  fi
   # Let's still pretend it is `configure' which instantiates (i.e., don't
   # use $as_me), people would be surprised to read:
   #    /* config.h.  Generated by config.status.  */
@@ -23150,6 +23168,12 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
         fi;;
       esac
     done` || { (exit 1); exit 1; }
+
+  if test x"$ac_file" != x-; then
+    { echo "$as_me:$LINENO: creating $ac_file" >&5
+echo "$as_me: creating $ac_file" >&6;}
+    rm -f "$ac_file"
+  fi
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
   sed "$ac_vpsub
@@ -23180,29 +23204,50 @@ s,@INSTALL@,$ac_INSTALL,;t t
   # Run the commands associated with the file.
   case $ac_file in
     Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example ;;
+     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example;
+     test -e src/base/Tests/run_tests && chmod +x src/base/Tests/run_tests ;;
     src/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example ;;
+     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example;
+     test -e src/base/Tests/run_tests && chmod +x src/base/Tests/run_tests ;;
+    src/include/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
+     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example;
+     test -e src/base/Tests/run_tests && chmod +x src/base/Tests/run_tests ;;
+    src/include/modules/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
+     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example;
+     test -e src/base/Tests/run_tests && chmod +x src/base/Tests/run_tests ;;
     src/base/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example ;;
+     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example;
+     test -e src/base/Tests/run_tests && chmod +x src/base/Tests/run_tests ;;
     src/base/Tests/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example ;;
+     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example;
+     test -e src/base/Tests/run_tests && chmod +x src/base/Tests/run_tests ;;
     src/base/Tests/gs_example ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example ;;
+     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example;
+     test -e src/base/Tests/run_tests && chmod +x src/base/Tests/run_tests ;;
+    src/base/Tests/run_tests ) ( cd src/include ; test -e gras || ln -s . gras )
+     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example;
+     test -e src/base/Tests/run_tests && chmod +x src/base/Tests/run_tests ;;
     src/modules/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example ;;
+     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example;
+     test -e src/base/Tests/run_tests && chmod +x src/base/Tests/run_tests ;;
     src/examples/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example ;;
+     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example;
+     test -e src/base/Tests/run_tests && chmod +x src/base/Tests/run_tests ;;
     src/examples/ping/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example ;;
+     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example;
+     test -e src/base/Tests/run_tests && chmod +x src/base/Tests/run_tests ;;
     src/examples/bandwidth/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example ;;
+     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example;
+     test -e src/base/Tests/run_tests && chmod +x src/base/Tests/run_tests ;;
     src/examples/saturate/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example ;;
+     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example;
+     test -e src/base/Tests/run_tests && chmod +x src/base/Tests/run_tests ;;
     src/examples/alnem/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example ;;
+     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example;
+     test -e src/base/Tests/run_tests && chmod +x src/base/Tests/run_tests ;;
     doc/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example ;;
+     test -e src/base/Tests/gs_example && chmod +x src/base/Tests/gs_example;
+     test -e src/base/Tests/run_tests && chmod +x src/base/Tests/run_tests ;;
   esac
 done
 _ACEOF